Create a DNSSEC key
Enable DNSSEC keys and create associated DNSKEY records for your DNS zone.
Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.
The ID (UUID) of the DNS zone.
Successful operation.
98277a78-a6a2-4672-ac9a-a68ca0a8d67a<RESOURCE-URI>Bad Request
The request send to the API was malformed.
Unauthorized
The request is missing authorization information or the authorization information provided are expired.
Not Allowed
The user issuing the request does not have the needed permissions.
Not Found
The resource that was requested could not be found.
Conflict Error
You can only have one DNSSEC per zone, and this zone already has one in place.
Unprocessable Entity
The request was well-formed but was unable to be followed due to semantic errors.
Internal Server Error
An internal error occurred. We apologize for the inconvenience!
POST /zones/{zoneId}/keys HTTP/1.1
Host: dns.de-fra.ionos.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 182
{
"properties": {
"keyParameters": {
"algorithm": "RSASHA256",
"kskBits": 4096,
"zskBits": 2048
},
"nsecParameters": {
"nsecMode": "NSEC3",
"nsec3Iterations": 21,
"nsec3SaltBits": 128
},
"validity": 120
}
}{
"properties": {
"keyParameters": {
"algorithm": "RSASHA256",
"kskBits": 4096,
"zskBits": 2048
},
"nsecParameters": {
"nsecMode": "NSEC3",
"nsec3Iterations": 21,
"nsec3SaltBits": 128
},
"validity": 120
},
"id": "98277a78-a6a2-4672-ac9a-a68ca0a8d67a",
"type": "dnsseckeys",
"href": "<RESOURCE-URI>"
}Last updated
Was this helpful?